Apple QuickTime 7.7.2 - Targa image Buffer Overflow

EDB-ID:

22855




Platform:

Windows

Date:

2012-11-20


Become a Certified Penetration Tester

Enroll in Penetration Testing with Kali Linux , the course required to become an Offensive Security Certified Professional (OSCP)

GET CERTIFIED

*Application : Apple QuickTime
Versions : <=  before 7.7.3
CVE : 2012-3755*
*Impact : 9.3 (High)*
*References* *:* *
http://lists.apple.com/archives/security-announce/2012/Nov/msg00002.html*
*Auther : Senator of Pirates*
*E-Mail : SenatorofPirates.team[at]gmail.com
FaceBook : /SenatorofPirates
                  **/SenatorofPiratesInfo
Greetz : To Morocco

---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
*

*Vulnerability :

A buffer overflow vulnerability in QuickTime PictureViewer.exe and the
specific flaw exists within TGA file images encoded data, When encountering
an invalid encoded width field and can be result a heap-based buffer
overflow occur.
And this vulnerability allows remote attackers to execute arbitrary code or
cause a denial of service (application crash) via a crafted Targa image. *
*
PoC :

http://www18.zippyshare.com/v/40547915/file.html
https://github.com/offensive-security/exploitdb-bin-sploits/raw/master/bin-sploits/22855.tga

*